## com.ericsson.otp.ic
Class BooleanHolder

    java.lang.Object
      |
      +--com.ericsson.otp.ic.BooleanHolder

public final class BooleanHolder
extends java.lang.Object
implements Holder

Holder class for Boolean, according to OMG-IDL java mapping.

See Also:
  Serialized Form

Field Summary
`boolean` `value`

Constructor Summary
`BooleanHolder()`
`BooleanHolder(boolean initial)`

Method Summary
`boolean` `equals(boolean b)` Comparisson method for Booleans.
`boolean` `equals(java.lang.Object obj)` Comparisson method for Booleans.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public boolean value

Constructor Detail

### BooleanHolder

    public BooleanHolder()

### BooleanHolder

    public BooleanHolder(boolean initial)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Comparisson method for Booleans.
  Overrides:
    equals in class java.lang.Object
  Returns:
    true if the input object equals the current object, false otherwize

### equals

    public boolean equals(boolean b)

  Comparisson method for Booleans.
  Returns:
    true if the input boolean value equals the value of the current object, false otherwize

Copyright © 1991-1999 Ericsson Utvecklings AB